import { Vue } from "vue-property-decorator";
export default class BaseMessage extends Vue {
    title: string;
    subtitle: string;
    text: string;
    isHover: boolean;
    showOverlayIfNotSelection(event: Event): void;
    onHover(): void;
    onMouseLeave(): void;
    showOverlay(): boolean;
    hideOverlay(): boolean;
}
